9 Replies Latest reply on Mar 30, 2016 11:46 AM by Torsten Kleiber

    Oracle TranslationHub neither supported for 12c Database, 12c Forms/Reports or 64 bit!

    Torsten Kleiber

      Hi!

       

      I have opened SR 3-12349928551 for the support of 12c Database.

      But they told me what I have concluded here:

       

      https://develishdevelopment.wordpress.com/2016/03/16/oracle-translationhub-neither-supported-for-12c-database-12c-formsreports-or-64-bit/

       

      I have send this link to Michael Ferrante too, but get no answer till now.

       

      I don't understand how this tool will be unsupported, as it is a central requirement for developing multi language applications for years?

       

      As 11g Database and 11g Forms will run out of support soon in my opinion Oracle  have to provide a working 64bit TranslationHub for 12c Database and Forms as long you has no replacement for this tool.

       

      Kind regards

      Torsten

        • 1. Re: Oracle TranslationHub neither supported for 12c Database, 12c Forms/Reports or 64 bit!
          Michael Ferrante-Oracle

          Translation Hub was actually desupported several years ago.  We are working on a possible solution/replacement for OTH, but unfortunately cannot share anything further at this time.

           

          You have several options (likely there are more) until an alternative becomes available:

           

          1.  Continue to use the latest/last version of OTH along with a 32bit DB client installation.  Modules (fmb, mmb, etc) updated by OTH in v11 can be moved to a v12 environment and generated.

           

          2.  Consider third party and open source alternatives.  A quick Google search resulted in a few possibilities.

           

           

          • Write your own utility using the Forms JDAPI

           

          Since processing modules is generally only needed when application changes are made, the demand for the tool should limited to those cases.

          • 2. Re: Oracle TranslationHub neither supported for 12c Database, 12c Forms/Reports or 64 bit!
            Torsten Kleiber

            > Translation Hub was actually desupported several years ago.
            This was never communicated and still I cannot find such information anywhere. You can still download the tool in the 11g download section without an desupport notice.

             

            > We are working on a possible solution/replacement for OTH, but unfortunately cannot share anything further at this time.
            As premier support for forms and reports 11gR2 ends on DEC 2016 and free extended support for database 11gR2 end on MAY 2017 we have to migrate both, so at least in the middle of 2016 we need a solution to test or requirements.

             

            > Continue to use the latest/last version of OTH along with a 32bit DB client installation.  Modules (fmb, mmb, etc) updated by OTH in v11 can be moved to a v12 environment and generated.
            From my tests I know you need a 32bit version of forms & reports too, which is not available for 12c.
            As described above we have to move to a supported forms and reports development version too, so this is not an option.

             

            > Consider third party and open source alternatives.
            I don't know why I should do this as we pay license fees for forms and reports and we have bougth translation hub wiht this bundling?

             

            Furthermore the alternatives does not fulfil the requirements
            > ... some objects are not possible to get them at runtime:
            >    . Option buttons for radio groups
            >    . Alert buttons' label
            >    . LOV column's title

             

            > One alternative is too translate forms/reports at runtime, but this causes network traffic and can also be noticed by the end users.

             

            Or the "tools" have no gui and process for the translator.
            Mentioned xml conversion was not stable in the past too.
            PITTS.CON is NOT open source.

            • 3. Re: Re: Oracle TranslationHub neither supported for 12c Database, 12c Forms/Reports or 64 bit!
              Michael Ferrante-Oracle

              > Translation Hub was actually desupported several years ago.

              This was never communicated and still I cannot find such information anywhere. You can still download the tool in the 11g download section without an desupport notice.

              Refer to MyOracleSupport Note 1630244.1

               

              > We are working on a possible solution/replacement for OTH, but unfortunately cannot share anything further at this time.

              As premier support for forms and reports 11gR2 ends on DEC 2016 and free extended support for database 11gR2 end on MAY 2017 we have to migrate both

              First, Translation Hub is/was a free utility and although it was delivered with the Forms/Reports products in the past, it has nothing to do with the development, support, or licensing of Forms/Reports.  OTH stopped shipping with any product set beginning with v11 of FMW.  Version 10 was the last version where it shipped together with any other product.  Since that time, it has been provided as a free OTN download and under the terms of the OTN license agreement. 

               

              http://www.oracle.com/technetwork/licenses/standard-license-152015.html

               

              Second, Oracle does not "require" you to move to the latest version once Premier or Extended Support ends.  You would only be required/expected to upgrade if you required support from Oracle Development (for bug fixes) or needed new product certifications.  So, if you already have a stable v11 environment that also includes OTH, you should consider continuing to use it until such time that a replacement is made available.  As mentioned, you would/should only need this for modules that expect to have code changes made since you likely already have translated any other modules.  Obviously, this may not be appropriate for all situations, but it should suffice temporarily.

               

              > Consider third party and open source alternatives.

              I don't know why I should do this as we pay license fees for forms and reports and we have bougth translation hub wiht this bundling?

              As mentioned, since version 10, you have been using OTH on a free license that was not entitled to support.  OTH is not part of the Forms/Reports bundling.

               

              Furthermore the alternatives does not fulfil the requirements

              The examples I provided were just that... "examples".  With some simple Internet searching, you will likely find other alternatives, as well as code examples on how you can develop your own utility if needed urgently.

              • 4. Re: Oracle TranslationHub neither supported for 12c Database, 12c Forms/Reports or 64 bit!
                Christian Erlinger

                Never used Translation Hub myself, but as far as I understood it the tool creates different .fmb files for each language you want to support. So if there is a pressing matter why you want to upgrade to Forms 12c (if I'd take a wild guess the reason that most Browser Vendors desupport the java plugin right now, and Oracle refuses to patch the java webstart / forms standalone launcher feature into 11g could be such a matter) why don't you stay on 11g, create translated 11g versions of your forms files and migrate them to 12c afterwards?

                 

                Although we only deploy on 11g (and maybe 12c in the near future) we still develop under Forms 10g as we didn't want to move our development infrastructure to 11g. The "migration" to Forms 11g is done via an automated script. So if you development wise don't want to use the new 12c features (like catching ORA errors from the password profiles at logon, or the brand new menu item in the forms builder help) you could develop under 11g where Translation Hub is still available and deploy on 12c. It might be not the finest solution but you still could translate your application and run them on a nowadays system instead of either not translating them or not running them in a current configuration.

                 

                cheers

                • 5. Re: Oracle TranslationHub neither supported for 12c Database, 12c Forms/Reports or 64 bit!
                  Torsten Kleiber

                  If you can do this you are on the happy site.

                  I'm working at a bank and there you have to use supported versions.

                  External and internal auditors check this and you are on operational risk, if your software is not supported.

                  Additional I need support regularly.

                  Some examples:

                  - Security department force me to use the latest java version under forms, which is only supported by supported forms versions.

                  - Operation department force me to update the operating system, which requires this too.

                  - And I find again and again bugs in all places of the products. So in last month I found a bug in the 32 bit installer, which does not handle memory restriction for the jvm correctly.

                  • 6. Re: Oracle TranslationHub neither supported for 12c Database, 12c Forms/Reports or 64 bit!
                    Torsten Kleiber

                    > Refer to MyOracleSupport Note 1630244.1
                    Unfortunatly I cannot seen a version history on this note, but I cannot believe that is was initially unsupported with 11g, see below.

                     

                    > As mentioned, since version 10, you have been using OTH on a free license that was not entitled to support.

                    I had service requests for translation hub against 11g
                    - SR 3-5751287371 : Need translation hub for Win 64bit (an anhancement request was created for this)
                    - SR 3-6000548191 : hubbatch.exe crashes on win7 (a fix was created for this after en escalation)
                    so I had support at this time.

                     

                    > We are working on a possible solution/replacement for OTH, but unfortunately cannot share anything further at this time.
                    Can you give an estimation if the "possible solution/replacement for OTH" is available in time before the premier support of forms and reports 11g ends?
                    Will this tool free too?

                     

                    How do you solve this problem for forms & reports version of oracle applications? Or will this too never support 12c Database, 12c Forms/Reports or 64 bit?

                    • 7. Re: Oracle TranslationHub neither supported for 12c Database, 12c Forms/Reports or 64 bit!
                      Michael Ferrante-Oracle

                      You continue to say "...never support 12c Database ...".  The issue isn't with the actual database.  The issue is with the db client software used by the Translation Hub software.  OTH is built 32bit and therefore must have a compatible db client, which is 32bit.

                       

                      Regarding any bug fixes, SRs, etc, if you've worked with Oracle long enough you would already know that we do everything reasonably possible to help our customers.  In some cases, that may mean building a patch for a desupported product version if it is technically possible.  Unfortunately, in this case it isn't quite so simple.  Rebuilding OTH to be 64bit compatible has already been investigated and determined to not be realistically feasible to accomplish.  Further, because it isn't entirely based on standards, it was decided that providing a more standards based utility would be more appropriate.  As a result, and as I already mentioned, Oracle is investigating a possible utility that should work directly with XLIFFXLIFF is the standard used for translations.  There are many open-source and "for purchase" tools that support it.  Any future utility provided by Oracle (for Forms) would generate an XLIFF output file that you would then manipulate in any one of the many available editors.

                       

                      https://www.google.com/search?q=xliff+editor

                       

                      https://www.oasis-open.org/committees/tc_home.php?wg_abbrev=xliff

                      • 8. Re: Oracle TranslationHub neither supported for 12c Database, 12c Forms/Reports or 64 bit!
                        lake

                        Wow Torsten I can't help but I sure feel for you with this problem. The vendor keeps dropping features like finish stones sliding off the pyramid. Which says something about how close you want to keep staying to the pyramid.

                        • 9. Re: Oracle TranslationHub neither supported for 12c Database, 12c Forms/Reports or 64 bit!
                          Torsten Kleiber

                          > The issue isn't with the actual database.  The issue is with the db client software used by the Translation Hub software.  OTH is built 32bit and therefore must have a compatible db client, which is 32bit.

                           

                          Oracle Support (in SR 3-12349928551 ) and I have tested this against 12c 32bit Oracle Client without success.